import React from 'react';
import './alert.scss';
export declare type Type = 'announcement' | 'info' | 'premium' | 'success' | 'warning';
export declare type Appearance = 'card' | 'inline' | 'horizontal';
export declare type IconStyle = 'medium-centered' | 'small-top';
export interface AlertButton {
    label: string;
    onClick: () => void;
}
export interface AlertProps extends React.ComponentProps<'div'> {
    /** The title of the alert */
    title?: string;
    /** The content to display inside the Alert */
    message?: React.ReactNode;
    /** Change the type of the Alert */
    type: Type;
    /** Change the Alert appearance */
    appearance?: Appearance;
    /** Add a specific class to the Alert */
    className?: string;
    /** Set if the Alert can be closed by the user */
    closable?: boolean;
    /** Action on Alert close button click */
    onClose?: () => void;
    /** Alert button */
    button?: AlertButton;
    /** Add a data-test tag for automated tests */
    dataTest?: string;
}
declare const Alert: React.FunctionComponent<AlertProps>;
export default Alert;
